// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.helpers);
importPackage(Packages.com.silverwrist.venice.ui.view);

// get the request object and the community
rinput = bsf.lookupBean("request");
comm = rinput.getCommunity(true,"top.js.vs");

rc = null;
try
{ // generate the conference listing
  clist = comm.conferences;

  // get the list of hosts for each conference
  hlist = new ArrayList(clist.size());
  for (i=0; i<clist.size(); i++)
  { // load the hosts
    c = vlib.castConferenceContext(clist.get(i));
    hlist.add(c.hosts);

  } // end for

  // save them off as request attributes
  rinput.setRequestAttribute("conferences.list",clist);
  rinput.setRequestAttribute("conferences.hosts.list",hlist);

  // create the JSP view
  rc = new JSPView("Conference Listing: " + comm.name,"conf/conferences.jsp");
  rc.menuSelector = Content.MENU_SELECTOR_COMMUNITY;
  rc.pageQID = "go/" + comm.alias + "!";
  
} // end try
catch (e)
{ // do something with the exception
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error","Database error finding conferences: " + e.message,
                      "comm/show.js.vs?cc=" + comm.communityID);
  else if (etype.match("AccessError"))
  { // an Access Error might be because we aren't logged in
    if (rinput.user.isLoggedIn())
      rc = new ErrorBox("Access Error",e.message,"comm/show.js.vs?cc=" + comm.communityID);
    else
      rc = new LogInOrCreate();

  } // end else if
  else
    rc = e;

} // end catch

vlib.output(rc);  // all done!